Package org.apache.sysds.runtime.io

# Class TensorReaderFactory

java.lang.Object
org.apache.sysds.runtime.io.TensorReaderFactory

public class TensorReaderFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`TensorReaderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static TensorReader`
`createTensorReader(Types.FileFormat fmt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TensorReaderFactory

public TensorReaderFactory()

## Method Details

### createTensorReader

public static TensorReader createTensorReader(Types.FileFormat fmt)